Debian Bug report logs - #672868
ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>

Date: Mon, 14 May 2012 10:09:01 UTC

Owned by: Vincent Danjean <vdanjean@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#672868; Package wnpp. (Mon, 14 May 2012 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 14 May 2012 10:09:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
Date: Mon, 14 May 2012 12:05:03 +0200
Package: wnpp
Severity: wishlist
Owner: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>

* Package name    : intel-opencl-sdk
  Version         : 2.0.31360
  Upstream Author : Intel Corporation
* URL             : http://software.intel.com/en-us/articles/vcsource-tools/
* License         : Intel Copyright 1999-2012
  Programming Lang: C, C++, OpenCL
  Description     : Intel(R) OpenCL SDK

OpenCL (Open Computing Language) is a multivendor open standard for
general-purpose parallel programming of heterogeneous systems that include
CPUs, GPUs and other processors.

This package provies the OpenCL installable client driver (ICD) and
ICD loader provided by Intel.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Bug#672868; Package wnpp. (Mon, 14 May 2012 11:00:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>. (Mon, 14 May 2012 11:00:30 GMT) Full text and rfc822 format available.

Message #10 received at 672868@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>, 672868@bugs.debian.org
Subject: Re: Bug#672868: ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
Date: Mon, 14 May 2012 07:59:12 -0300
Giuseppe Bilotta <giuseppe.bilotta@gmail.com> writes:

> Package: wnpp
> Severity: wishlist
> Owner: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
>
> * Package name    : intel-opencl-sdk
>   Version         : 2.0.31360
>   Upstream Author : Intel Corporation
> * URL             : http://software.intel.com/en-us/articles/vcsource-tools/
> * License         : Intel Copyright 1999-2012

That's not a license. 

I seem to recall this software is non-free, but I'd be happy to proven wrong.

d




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672868; Package wnpp. (Mon, 14 May 2012 11:09:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 May 2012 11:10:03 GMT) Full text and rfc822 format available.

Message #15 received at 672868@bugs.debian.org (full text, mbox):

From: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
To: David Bremner <bremner@debian.org>
Cc: 672868@bugs.debian.org
Subject: Re: Bug#672868: ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
Date: Mon, 14 May 2012 13:05:59 +0200
On Mon, May 14, 2012 at 12:59 PM, David Bremner <bremner@debian.org> wrote:
> Giuseppe Bilotta <giuseppe.bilotta@gmail.com> writes:
>
>> Package: wnpp
>> Severity: wishlist
>> Owner: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
>>
>> * Package name    : intel-opencl-sdk
>>   Version         : 2.0.31360
>>   Upstream Author : Intel Corporation
>> * URL             : http://software.intel.com/en-us/articles/vcsource-tools/
>> * License         : Intel Copyright 1999-2012
>
> That's not a license.

I'm sorry, you're right. I just copied the information over from the
.rpm package Intel provides. I should have been more specific. Would
something like:

* License: other-INTEL_OPENCLSDK

do? (This is what I'm currently using in the debian/copyright file I
prepared for a tenative Debian package, mimicking the fglrx package)

> I seem to recall this software is non-free, but I'd be happy to proven wrong.

It is. Intel provides a binary-only .rpm, my idea was to ship a
properly debianized version of this in the non-free/libs section.

-- 
Giuseppe "Oblomov" Bilotta




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Bug#672868; Package wnpp. (Mon, 14 May 2012 11:27:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>. (Mon, 14 May 2012 11:27:30 GMT) Full text and rfc822 format available.

Message #20 received at 672868@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Cc: 672868@bugs.debian.org
Subject: Re: Bug#672868: ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
Date: Mon, 14 May 2012 08:26:37 -0300
Giuseppe Bilotta <giuseppe.bilotta@gmail.com> writes:

>
> I'm sorry, you're right. I just copied the information over from the
> .rpm package Intel provides. I should have been more specific. Would
> something like:
>
> * License: other-INTEL_OPENCLSDK
>

The main points are that it is non-free, and that you have verified that
redistribution is permitted.  You will have to include the whole license
in debian/copyright.  





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Bug#672868; Package wnpp. (Mon, 14 May 2012 12:40:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>. (Mon, 14 May 2012 12:40:22 GMT) Full text and rfc822 format available.

Message #25 received at 672868@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@debian.org>
To: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Cc: 672868@bugs.debian.org
Subject: Re: Bug#672868: ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
Date: Mon, 14 May 2012 09:36:46 -0300
Giuseppe Bilotta <giuseppe.bilotta@gmail.com> writes:

> That would mean that a package for them would have to work like the
> flashplugin-installer, rather, I assume?

Probably. I'm not sure it's worth the trouble at that point, but it's up
to you, and whomever you find to sponsor the package.

d





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672868; Package wnpp. (Mon, 14 May 2012 12:47:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 May 2012 12:47:31 GMT) Full text and rfc822 format available.

Message #30 received at 672868@bugs.debian.org (full text, mbox):

From: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
To: David Bremner <bremner@debian.org>
Cc: 672868@bugs.debian.org
Subject: Re: Bug#672868: ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
Date: Mon, 14 May 2012 14:14:36 +0200
On Mon, May 14, 2012 at 1:26 PM, David Bremner <bremner@debian.org> wrote:
> Giuseppe Bilotta <giuseppe.bilotta@gmail.com> writes:
>
>>
>> I'm sorry, you're right. I just copied the information over from the
>> .rpm package Intel provides. I should have been more specific. Would
>> something like:
>>
>> * License: other-INTEL_OPENCLSDK
>
> The main points are that it is non-free, and that you have verified that
> redistribution is permitted.  You will have to include the whole license
> in debian/copyright.

Good point. I've given the license provided with the package a more
thorough reading, and I believe it's actually more restrictive than I
originally thought, preventing redistribution of the libraries.

That would mean that a package for them would have to work like the
flashplugin-installer, rather, I assume?



-- 
Giuseppe "Oblomov" Bilotta




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Bug#672868; Package wnpp. (Wed, 06 Jun 2012 12:34:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome Kieffer <Jerome.Kieffer@esrf.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>. (Wed, 06 Jun 2012 12:35:28 GMT) Full text and rfc822 format available.

Message #35 received at 672868@bugs.debian.org (full text, mbox):

From: Jerome Kieffer <Jerome.Kieffer@esrf.fr>
To: 672868@bugs.debian.org
Subject: On the grill
Date: Wed, 6 Jun 2012 14:12:09 +0200
Hello,

I already made a package that is compatible with other OpenCL vendors but I admitted the SDK was redistributable. Have you advanced on that subject ?

Cheers,

-- 
Jérôme Kieffer
On-Line Data analysis / Software Group 
ISDD / ESRF
tel +33 476 882 445




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Bug#672868; Package wnpp. (Tue, 10 Jul 2012 13:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean.ml@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>. (Tue, 10 Jul 2012 13:18:07 GMT) Full text and rfc822 format available.

Message #40 received at 672868@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean.ml@free.fr>
To: 672868@bugs.debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Cc: Jerome Kieffer <Jerome.Kieffer@esrf.fr>
Subject: Intel will probably fix its license so that files will be redistributable
Date: Tue, 10 Jul 2012 15:15:36 +0200
  Hi,

  It seems that the real goal of Intel would be that the files
are redistributable. See their answer to my question:
http://software.intel.com/en-us/forums/showthread.php?t=106234

  I already made an package for myself. Would you be interested
by a co-maintainer ? If yes, I will upload my work into
collab-maint on alioth (I work with git).

  Regards,
    Vincent

-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>:
Bug#672868; Package wnpp. (Sat, 17 Aug 2013 07:15:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>. (Sat, 17 Aug 2013 07:15:23 GMT) Full text and rfc822 format available.

Message #45 received at 672868@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 672868@bugs.debian.org
Cc: control@bugs.debian.org
Subject: intel-opencl-sdk: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:09 +0200
retitle 672868 RFP: intel-opencl-sdk -- Intel(R) OpenCL SDK
noowner 672868
tag 672868 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging intel-opencl-sdk. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of intel-opencl-sdk back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging intel-opencl-sdk, please send a mail to
<control@bugs.debian.org> with:

 retitle 672868 ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
 owner 672868 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <672868@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: intel-opencl-sdk -- Intel(R) OpenCL SDK' from 'ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:23:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Giuseppe Bilotta <giuseppe.bilotta@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:23:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#672868; Package wnpp. (Sat, 17 Aug 2013 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 17 Aug 2013 16:33:04 GMT) Full text and rfc822 format available.

Message #54 received at 672868@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: control@bugs.debian.org
Cc: Lucas Nussbaum <lucas@debian.org>, giuseppe.bilotta@gmail.com, 672868@bugs.debian.org
Subject: Re: Processed: intel-opencl-sdk: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 18:29:57 +0200
retitle 672868 [wnpp] ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
owner 672868 !
thanks

  I've a ready package that I would be very pleased to co-maintain but,
before upload, the license issue with Intel must be resolved. For now,
this SDK is not redistributable (so cannot be put in non-free).

  Regards,
    Vincent

Le 17/08/2013 09:23, Debian Bug Tracking System a écrit :
> Processing commands for control@bugs.debian.org:
> 
>> retitle 672868 RFP: intel-opencl-sdk -- Intel(R) OpenCL SDK
> Bug #672868 [wnpp] ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK
> Changed Bug title to 'RFP: intel-opencl-sdk -- Intel(R) OpenCL SDK' from 'ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK'
>> noowner 672868
> Bug #672868 [wnpp] RFP: intel-opencl-sdk -- Intel(R) OpenCL SDK
> Removed annotation that Bug was owned by Giuseppe Bilotta <giuseppe.bilotta@gmail.com>.
>> tag 672868 - pending
> Bug #672868 [wnpp] RFP: intel-opencl-sdk -- Intel(R) OpenCL SDK
> Ignoring request to alter tags of bug #672868 to the same tags previously set
>> thanks
> Stopping processing here.
> 
> Please contact me if you need assistance.
> 

-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main




Changed Bug title to '[wnpp] ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK' from 'RFP: intel-opencl-sdk -- Intel(R) OpenCL SDK' Request was from Vincent Danjean <vdanjean@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 16:33:13 GMT) Full text and rfc822 format available.

Owner recorded as Vincent Danjean <vdanjean@debian.org>. Request was from Vincent Danjean <vdanjean@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 16:33:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK' from '[wnpp] ITP: intel-opencl-sdk -- Intel(R) OpenCL SDK' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 18 Aug 2013 19:54:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:48:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.